Backend Change Logs

– fixed api issue for php version 8.1 update ( Api )
– session flashdata issue fix ( Backend )
– user delete api ( Api )
– product description limitation according to firebase at deeplink generating ( Backend & Api )
– remove dashboard configuration section from mobile configuration setting ( Backend & Api )

Backend Effected Files

– application/controllers/rest/Categories.php
– application/controllers/rest/Feeds.php
– application/controllers/rest/Products.php
– application/controllers/rest/Search_keywords.php
– application/controllers/rest/Subcategories.php
– application/libraries/PS_Adapter.php
– system/libraries/Migration.php
– system/libraries/Session/Session.php
– application/controllers/rest/Users.php
– application/helpers/ps_helper.php
– application/models/Code.php
– application/models/Product.php
– application/controllers/backend/Mobile_settings.php
– application/core/API_Controller.php
– application/views/backend/mobile_settings/entry_form.php

SQL Change Logs

You must run the following queries.

Copy to Clipboard

Flutter Change Logs

– add delete account
– fix fb profile image loading
– add crashlytics for crash
– update flutter sdk 3.0.5 and update libs
– app crash at android 12

Flutter Effected Files

– android/app/build.gradle
– android/app/src/main/AndroidManifest.xml
– android/app/src/main/res/values/strings.xml
– android/build.gradle
– android/gradle.properties
– assets/langs/ar-DZ.json
– assets/langs/de-DE.json
– assets/langs/en-US.json
– assets/langs/es-ES.json
– assets/langs/fr-FR.json
– assets/langs/hi-IN.json
– assets/langs/id-ID.json
– assets/langs/it-IT.json
– assets/langs/ja-JP.json
– assets/langs/ko-KR.json
– assets/langs/ms-MY.json
– assets/langs/pt-PT.json
– assets/langs/ru-RU.json
– assets/langs/th-TH.json
– assets/langs/tr-TR.json
– assets/langs/zh-CN.json
– ios/Podfile
– ios/Runner.xcodeproj/project.pbxproj
– ios/Runner/Info.plist
– lib/api/ps_api_service.dart
– lib/api/ps_url.dart
– lib/config/ps_config.dart
– lib/config/router.dart
– lib/db/common/ps_shared_preferences.dart
– lib/main.dart
– lib/provider/common/ps_provider.dart
– lib/provider/user/user_provider.dart
– lib/repository/Common/ps_repository.dart
– lib/repository/user_repository.dart
– lib/ui/app_info/app_info_view.dart
– lib/ui/app_loading/app_loading_view.dart
– lib/ui/checkout/checkout_view.dart
– lib/ui/common/dialog/share_app_dialog.dart
– lib/ui/common/ps_ui_widget.dart
– lib/ui/dashboard/core/dashboard_view.dart
– lib/ui/product/detail/product_detail_view.dart
– lib/ui/shop/shop_info_view.dart
– lib/ui/user/more/more_container_view.dart
– lib/ui/user/more/more_view.dart
– lib/ui/user/profile/profile_container_view.dart
– lib/ui/user/profile/profile_view.dart
– lib/utils/utils.dart
– lib/viewobject/common/ps_value_holder.dart
– lib/viewobject/holder/delete_user_holder.dart
– pubspec.yaml

Required SDKs

Flutter SDK Version – 3.0.5

Android SDK Version – 30.0.2


Subscribe to our free newsletter